org.eclipse.jgit.api.errors

## Class InvalidRebaseStepException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jgit.api.errors.GitAPIException
      - - org.eclipse.jgit.api.errors.InvalidRebaseStepException

All Implemented Interfaces:
  Serializable

    public class InvalidRebaseStepException
    extends GitAPIException

Exception thrown if a rebase step is invalid. E.g., a rebase must not start with squash or fixup.

Since:
  3.2
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidRebaseStepException(String msg)`
`InvalidRebaseStepException(String msg, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidRebaseStepException

    public InvalidRebaseStepException(String msg)

Parameters:
  `msg` -

#### InvalidRebaseStepException

    public InvalidRebaseStepException(String msg,
                              Throwable cause)

Parameters:
  `msg` -
  `cause` -